Bug 298063 - Pressing tab to move to next levels in list does not indent
Summary: Pressing tab to move to next levels in list does not indent
Status: RESOLVED FIXED
Alias: None
Product: calligracommon
Classification: Unclassified
Component: text-tool (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Calligra Words Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-13 17:06 UTC by Oriol Mirosa
Modified: 2012-06-13 09:51 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Oriol Mirosa 2012-04-13 17:06:06 UTC
User-Agent:       Mozilla/5.0 (X11; Ubuntu; Linux i686; rv:11.0) Gecko/20100101 Firefox/11.0
Build Identifier: 

I'm not sure if this is a bug or a missing feature, so sorry if I'm missing the point. Right now, when I have a list in one of my slides, if I want to move to the next level (that is, the next line is a subpoint of the previous one), nothing really seems to happen. There is no indent (which is usually the marker of a sublevel in a list) and the bullet point doesn't change at all, so unless you manually change the default for each level choosing a deeper level in the dialog, there's no way to show that you are at a different level.

Reproducible: Always

Steps to Reproduce:
1.Create a list within a text box
2.Press return and then tab to try to move to a deeper level
3.
Actual Results:  
Nothing changes, you remain at the same level and the bullet point doesn't change either

Expected Results:  
There is some indent and (maybe) the bullet point changes to show that you are at a deeper level in the list.

Thanks!
Comment 1 Halla Rempt 2012-05-04 09:11:56 UTC
Yes, I can confirm. But it's not true that tab doesn't do anything... If you have numbered list:
1. bla
2. foo
3. bar

and you press tab at the beginning of foo, it becomes 1. foo

Also, the change list level button in the list dropdown button doesn't do what you'd expect, but it does seem to do the same as the tab key, i.e., change the number to 1...

In order to indent, you have to click on the increase indent button - but that doesn't mean you get 1.1, you only get an indent.
Comment 2 Gopalakrishna Bhat 2012-06-11 15:55:43 UTC
Git commit 65930a63271b088a3fa4d603cfa3cb714c4cffc7 by Gopalakrishna Bhat A.
Committed on 11/06/2012 at 17:42.
Pushed by gopalakrishnabhat into branch 'master'.

Fix issue with text list indenting and numbering

With this patch increasing the list level by pressing tab or the "Increase Indent" button the display level is also increased by one.

REVIEW: 105198
Related: bug 260083

M  +1    -0    libs/kotext/commands/ChangeListCommand.cpp
M  +1    -0    libs/kotext/styles/KoListLevelProperties.cpp
M  +92   -74   libs/textlayout/ListItemsHelper.cpp
M  +1    -0    libs/textlayout/ListItemsHelper.h
M  +39   -10   plugins/textshape/TextTool.cpp
M  +13   -1    plugins/textshape/commands/ChangeListLevelCommand.cpp

http://commits.kde.org/calligra/65930a63271b088a3fa4d603cfa3cb714c4cffc7
Comment 3 Yue Liu 2012-06-13 09:51:35 UTC
Git commit 4ab197e7cec1cebc03821f01638bf1345a08258a by Yue Liu, on behalf of Gopalakrishna Bhat A.
Committed on 11/06/2012 at 17:42.
Pushed by liu into branch 'connection-interaction-yue'.

Fix issue with text list indenting and numbering

With this patch increasing the list level by pressing tab or the "Increase Indent" button the display level is also increased by one.

REVIEW: 105198
Related: bug 260083

M  +1    -0    libs/kotext/commands/ChangeListCommand.cpp
M  +1    -0    libs/kotext/styles/KoListLevelProperties.cpp
M  +92   -74   libs/textlayout/ListItemsHelper.cpp
M  +1    -0    libs/textlayout/ListItemsHelper.h
M  +39   -10   plugins/textshape/TextTool.cpp
M  +13   -1    plugins/textshape/commands/ChangeListLevelCommand.cpp

http://commits.kde.org/calligra/4ab197e7cec1cebc03821f01638bf1345a08258a